DRM_ATOMIC_HELPER_WA(9)

NAME
drm_atomic_helper_wait_for_vblanks - wait for vblank on crtcs

SYNOPSIS

void drm_atomic_helper_wait_for_vblanks(struct drm_device * dev, struct drm_atomic_state * old_state);

ARGUMENTS

dev
    DRM device

old_state
    atomic state object with old state structures

DESCRIPTION

Helper to, after atomic commit, wait for vblanks on all effected crtcs (ie. before cleaning up old framebuffers using drm_atomic_helper_cleanup_planes). It will only wait on crtcs where the framebuffers have actually changed to optimize for the legacy cursor and plane update use-case.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT